commit d17f85a85ae5e6dee8fbd25447c61e0d91c475fe
Author: Hasso Tepper <hasso@estpak.ee>
Date:   Sun Mar 22 11:49:50 2009 +0200

    Fix target architecture in gcc.

diff --git a/gnu/usr.bin/cc34/Makefile.tgt b/gnu/usr.bin/cc34/Makefile.tgt
index 065f746..9709ca1 100644
--- a/gnu/usr.bin/cc34/Makefile.tgt
+++ b/gnu/usr.bin/cc34/Makefile.tgt
@@ -3,7 +3,7 @@
 TARGET_ARCH?=	${MACHINE_ARCH}
 
 version=	3.4.5
-target=		${TARGET_ARCH}-just-dragonflybsd
+target_machine=	${TARGET_ARCH}-pc-dragonflybsd
 
 GCC_CPU?=	${TARGET_ARCH}
 .if ${TARGET_ARCH} == "amd64"
diff --git a/gnu/usr.bin/cc34/c++/Makefile b/gnu/usr.bin/cc34/c++/Makefile
index 6b51c10..c5159df 100644
--- a/gnu/usr.bin/cc34/c++/Makefile
+++ b/gnu/usr.bin/cc34/c++/Makefile
@@ -19,6 +19,6 @@ SRCS+=	xmalloc.c xstrdup.c xmemdup.c xstrerror.c
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 .include <bsd.prog.mk>
diff --git a/gnu/usr.bin/cc34/cc/Makefile b/gnu/usr.bin/cc34/cc/Makefile
index 43fbfb5..80e5df1 100644
--- a/gnu/usr.bin/cc34/cc/Makefile
+++ b/gnu/usr.bin/cc34/cc/Makefile
@@ -16,7 +16,7 @@ SRCS+=	xmalloc.c xstrdup.c xmemdup.c xstrerror.c
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 gcc34.1: ${GCCDIR}/gcc/doc/gcc.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc34/cc1obj/Makefile b/gnu/usr.bin/cc34/cc1obj/Makefile
index 0068ec1..858e2d6 100644
--- a/gnu/usr.bin/cc34/cc1obj/Makefile
+++ b/gnu/usr.bin/cc34/cc1obj/Makefile
@@ -6,7 +6,8 @@ GCC_LANG_DIR=	gcc/objc
 .include "../cc_tools/Makefile.tools"
 .include "../Makefile.langs"
 
-CFLAGS+=	-DTARGET_MACHINE=\"${target}\" -DHOST_MACHINE=\"${target}\"
+CFLAGS+=	-DTARGET_MACHINE=\"${target_machine}\"
+CFLAGS+=	-DHOST_MACHINE=\"${target_machine}\"
 
 PROG=		cc1obj
 NOMAN=		1
diff --git a/gnu/usr.bin/cc34/cc1plus/Makefile b/gnu/usr.bin/cc34/cc1plus/Makefile
index d24bb59..dda6d16 100644
--- a/gnu/usr.bin/cc34/cc1plus/Makefile
+++ b/gnu/usr.bin/cc34/cc1plus/Makefile
@@ -9,7 +9,8 @@ GCC_LANG_DIR=	gcc/cp
 PATCHES!=	echo ${.CURDIR}/patches/*.patch
 CONTRIBDIR=	${GCCDIR}/gcc/cp
 
-CFLAGS+=	-DTARGET_MACHINE=\"${target}\" -DHOST_MACHINE=\"${target}\"
+CFLAGS+=	-DTARGET_MACHINE=\"${target_machine}\"
+CFLAGS+=	-DHOST_MACHINE=\"${target_machine}\"
 
 PROG=	cc1plus
 NOMAN=	1
diff --git a/gnu/usr.bin/cc34/cpp/Makefile b/gnu/usr.bin/cc34/cpp/Makefile
index c5183c7..2ca3a7a 100644
--- a/gnu/usr.bin/cc34/cpp/Makefile
+++ b/gnu/usr.bin/cc34/cpp/Makefile
@@ -13,7 +13,7 @@ SRCS+=	xmalloc.c xstrdup.c xmemdup.c xstrerror.c
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 cpp.1: ${GCCDIR}/gcc/doc/cpp.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc34/gcov/Makefile b/gnu/usr.bin/cc34/gcov/Makefile
index 61e777f..ff1e543 100644
--- a/gnu/usr.bin/cc34/gcov/Makefile
+++ b/gnu/usr.bin/cc34/gcov/Makefile
@@ -12,7 +12,7 @@ SRCS+=	xexit.c xmalloc.c xstrdup.c
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 gcov.1: ${GCCDIR}/gcc/doc/gcov.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc34/libbackend/Makefile b/gnu/usr.bin/cc34/libbackend/Makefile
index ded7677..0cd3cd0 100644
--- a/gnu/usr.bin/cc34/libbackend/Makefile
+++ b/gnu/usr.bin/cc34/libbackend/Makefile
@@ -5,7 +5,7 @@
 .include "../Makefile.langs"
 
 CFLAGS+=	-I${.CURDIR}/../config -I.
-CFLAGS+=	-DTARGET_NAME=\"${target}\"
+CFLAGS+=	-DTARGET_NAME=\"${target_machine}\"
 
 .PATH: ${GCCDIR}/gcc/config/${GCC_CPU}
 
diff --git a/gnu/usr.bin/cc41/Makefile.tgt b/gnu/usr.bin/cc41/Makefile.tgt
index faeb344..4a5e0ec 100644
--- a/gnu/usr.bin/cc41/Makefile.tgt
+++ b/gnu/usr.bin/cc41/Makefile.tgt
@@ -3,13 +3,15 @@
 TARGET_ARCH?=	${MACHINE_ARCH}
 
 version=	4.1.2
-target=		${TARGET_ARCH}-our-dragonflybsd
+target_machine=	${TARGET_ARCH}-pc-dragonflybsd
 
 GCC_CPU?=	${TARGET_ARCH}
 .if ${TARGET_ARCH} == "amd64"
 GCC_CPU=	i386
 .endif
 
+CFLAGS+=	-DLOLL
+
 # from gcc/Makefile
 srcdir= ${GCCDIR}/gcc
 
diff --git a/gnu/usr.bin/cc41/c++/Makefile b/gnu/usr.bin/cc41/c++/Makefile
index bc1c21b..c457713 100644
--- a/gnu/usr.bin/cc41/c++/Makefile
+++ b/gnu/usr.bin/cc41/c++/Makefile
@@ -17,7 +17,7 @@ SRCS+=	insn-constants.h insn-flags.h specs.h options.h
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 g++41.1: ${GCCDIR}/gcc/doc/g++.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc41/cc/Makefile b/gnu/usr.bin/cc41/cc/Makefile
index cf40cce..55fef22 100644
--- a/gnu/usr.bin/cc41/cc/Makefile
+++ b/gnu/usr.bin/cc41/cc/Makefile
@@ -15,7 +15,7 @@ SRCS+=	insn-constants.h insn-flags.h specs.h options.h
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 gcc41.1: ${GCCDIR}/gcc/doc/gcc.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc41/cc1obj/Makefile b/gnu/usr.bin/cc41/cc1obj/Makefile
index 9102644..b25f4bd 100644
--- a/gnu/usr.bin/cc41/cc1obj/Makefile
+++ b/gnu/usr.bin/cc41/cc1obj/Makefile
@@ -3,7 +3,8 @@
 GCC_LANG_DIR=	gcc/objc
 CONTRIBDIR=	${GCCDIR}/gcc/objc
 
-CFLAGS+=	-DTARGET_MACHINE=\"${target}\" -DHOST_MACHINE=\"${target}\"
+CFLAGS+=	-DTARGET_MACHINE=\"${target_machine}\"
+CFLAGS+=	-DHOST_MACHINE=\"${target_machine}\"
 
 PROG=		cc1obj
 NOMAN=		1
diff --git a/gnu/usr.bin/cc41/cc1plus/Makefile b/gnu/usr.bin/cc41/cc1plus/Makefile
index 9586a27..038c911 100644
--- a/gnu/usr.bin/cc41/cc1plus/Makefile
+++ b/gnu/usr.bin/cc41/cc1plus/Makefile
@@ -4,7 +4,8 @@ GCC_LANG_DIR=	gcc/cp
 
 CONTRIBDIR=	${GCCDIR}/gcc/cp
 
-CFLAGS+=	-DTARGET_MACHINE=\"${target}\" -DHOST_MACHINE=\"${target}\"
+CFLAGS+=	-DTARGET_MACHINE=\"${target_machine}\"
+CFLAGS+=	-DHOST_MACHINE=\"${target_machine}\"
 
 PROG=	cc1plus
 NOMAN=	1
diff --git a/gnu/usr.bin/cc41/cpp/Makefile b/gnu/usr.bin/cc41/cpp/Makefile
index b8b01b5..f0094bb 100644
--- a/gnu/usr.bin/cc41/cpp/Makefile
+++ b/gnu/usr.bin/cc41/cpp/Makefile
@@ -13,7 +13,7 @@ SRCS+=	insn-constants.h insn-flags.h specs.h options.h
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 cpp41.1: ${GCCDIR}/gcc/doc/cpp.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc41/gcov/Makefile b/gnu/usr.bin/cc41/gcov/Makefile
index 540710e..5385cda 100644
--- a/gnu/usr.bin/cc41/gcov/Makefile
+++ b/gnu/usr.bin/cc41/gcov/Makefile
@@ -13,7 +13,7 @@ SRCS+=	insn-constants.h gcov-iov.h insn-flags.h
 
 CFLAGS+= -I.
 CFLAGS+= -DDEFAULT_TARGET_VERSION=\"${version}\"
-CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target}\"
+CFLAGS+= -DDEFAULT_TARGET_MACHINE=\"${target_machine}\"
 
 gcov41.1: ${GCCDIR}/gcc/doc/gcov.1
 	cp ${.ALLSRC} ${.TARGET}
diff --git a/gnu/usr.bin/cc41/libbackend/Makefile b/gnu/usr.bin/cc41/libbackend/Makefile
index 07118a3..24bcd8c 100644
--- a/gnu/usr.bin/cc41/libbackend/Makefile
+++ b/gnu/usr.bin/cc41/libbackend/Makefile
@@ -5,7 +5,7 @@
 .include "../Makefile.langs"
 
 CFLAGS+=	-I${.CURDIR}/../config -I.
-CFLAGS+=	-DTARGET_NAME=\"${target}\"
+CFLAGS+=	-DTARGET_NAME=\"${target_machine}\"
 
 .PATH: ${GCCDIR}/gcc/config/${GCC_CPU}
 
